Module jdk.scripting.nashorn
Package jdk.nashorn.api.tree

## Interface IdentifierTree

- All Superinterfaces:
    `ExpressionTree`, `Tree`

      @Deprecated(since="11",
                  forRemoval=true)
      public interface IdentifierTree
      extends ExpressionTree

  Deprecated, for removal: This API element is subject to removal in a future version.
  Nashorn JavaScript script engine and APIs, and the jjs tool are deprecated with the intent to remove them in a future release.
  A tree node for an identifier expression. For example:

         name

  Since:
    9

- - ### Nested Class Summary

    - ### Nested classes/interfaces declared in interface jdk.nashorn.api.tree.Tree

      `Tree.Kind`

  - ### Method Summary

    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getName()` | Deprecated, for removal: This API element is subject to removal in a future version. Returns the name of this identifier.
    `boolean` | `isDefault()` | Deprecated, for removal: This API element is subject to removal in a future version. Is this "default" used in module export entry?
    `boolean` | `isRestParameter()` | Deprecated, for removal: This API element is subject to removal in a future version. Is this a rest parameter for a function or rest elements of an array?
    `boolean` | `isStar()` | Deprecated, for removal: This API element is subject to removal in a future version. Is this "*" used in module export entry?
    `boolean` | `isStarDefaultStar()` | Deprecated, for removal: This API element is subject to removal in a future version. Is this "*default*" used in module export entry?
    `boolean` | `isSuper()` | Deprecated, for removal: This API element is subject to removal in a future version. Is this super identifier?
    `boolean` | `isThis()` | Deprecated, for removal: This API element is subject to removal in a future version. Is this 'this' identifier?

    - ### Methods declared in interface jdk.nashorn.api.tree.Tree

      `accept, getEndPosition, getKind, getStartPosition`

- - ### Method Detail

    - #### getName

          String getName()

      Deprecated, for removal: This API element is subject to removal in a future version.
      Returns the name of this identifier.
      Returns:
        the name of this identifier

    - #### isRestParameter

          boolean isRestParameter()

      Deprecated, for removal: This API element is subject to removal in a future version.
      Is this a rest parameter for a function or rest elements of an array?
      Returns:
        true if this is a rest parameter

    - #### isSuper

          boolean isSuper()

      Deprecated, for removal: This API element is subject to removal in a future version.
      Is this super identifier?
      Returns:
        true if this is super identifier

    - #### isThis

          boolean isThis()

      Deprecated, for removal: This API element is subject to removal in a future version.
      Is this 'this' identifier?
      Returns:
        true if this is 'this' identifier

    - #### isStar

          boolean isStar()

      Deprecated, for removal: This API element is subject to removal in a future version.
      Is this "*" used in module export entry?
      Returns:
        true if this "*" used in module export entry?

    - #### isDefault

          boolean isDefault()

      Deprecated, for removal: This API element is subject to removal in a future version.
      Is this "default" used in module export entry?
      Returns:
        true if this 'default' used in module export entry?

    - #### isStarDefaultStar

          boolean isStarDefaultStar()

      Deprecated, for removal: This API element is subject to removal in a future version.
      Is this "*default*" used in module export entry?
      Returns:
        true if this '*default*' used in module export entry?